%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
Summary:	GNOME System Tools Backends
Name: 		system-tools-backends
Version: 1.4.2
Release: %mkrel 1
License: 	LGPL
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:	system-tools-backends-1.4.2-mandrakelinux.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/
BuildArch: noarch
#gw for intltool
BuildRequires:	perl-XML-Parser
Conflicts: gnome-system-tools < 1.2.0

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

This package contains the backends of GNOME System Tools.

%prep
%setup -q
%patch0 -p1 -b .mandrakelinux

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
rm -rf $RPM_BUILD_ROOT system-tools-backends.lang

%makeinstall_std pkgconfigdir=%pkgconfigdir
%{find_lang} system-tools-backends

%clean
rm -rf $RPM_BUILD_ROOT


%files -f system-tools-backends.lang
%defattr(-, root, root)
%doc README AUTHORS NEWS ChangeLog 
%{_datadir}/aclocal/*.m4
%_datadir/setup-tool-backends/
%pkgconfigdir/system-tools-backends.pc


%changelog
* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 115698
- unpack the patch
- Import system-tools-backends



* Wed Jan 31 2007 Gtz Waschk <waschk@mandriva.org> 1.4.2-1mdv2007.1
- rebuild

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 1.4.2-1mdk
- update patch 0
- New release 1.4.2
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- New release 1.4.1

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix pkgconfig file location

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-2mdk 
- Add conflict to ease upgrade

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- drop patch 1 (merged into patch 0)
- fix patch 0 (missing comma, thanks to Abel Cheung)

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-0.1gpw
- New release 1.2.0

* Wed Mar  2 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.92-0.1gpw
- New release 1.1.92

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.91-0.2gpw
- update patch 0

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.91-0.1gpw
- initial package
